ur_rna.StructureEditor.services.fileIO

## Class RnaFileIO.NucIndexConverter.MultiStrand

- java.lang.Object
- - ur_rna.StructureEditor.services.fileIO.RnaFileIO.NucIndexConverter
  - - ur_rna.StructureEditor.services.fileIO.RnaFileIO.NucIndexConverter.MultiStrand

- Enclosing class:
    RnaFileIO.NucIndexConverter

      public static class RnaFileIO.NucIndexConverter.MultiStrand
      extends RnaFileIO.NucIndexConverter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.StructureEditor.services.fileIO.RnaFileIO.NucIndexConverter

      `RnaFileIO.NucIndexConverter.DoubleStrand, RnaFileIO.NucIndexConverter.MultiStrand`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int[]` | `linkers`

    - ### Fields inherited from class ur_rna.StructureEditor.services.fileIO.RnaFileIO.NucIndexConverter

      `SingleStrand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiStrand(int[] linkers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBackendIndex(Nuc sceneNuc)`
    `Nuc` | `getSceneNuc(RnaScene scene, int backendIndex)`

    - ### Methods inherited from class ur_rna.StructureEditor.services.fileIO.RnaFileIO.NucIndexConverter

      `create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### linkers

          final int[] linkers

  - ### Constructor Detail

    - #### MultiStrand

          public MultiStrand(int[] linkers)

  - ### Method Detail

    - #### getBackendIndex

          public int getBackendIndex(Nuc sceneNuc)

      Specified by:
        `getBackendIndex` in class `RnaFileIO.NucIndexConverter`

    - #### getSceneNuc

          public Nuc getSceneNuc(RnaScene scene,
                                 int backendIndex)

      Specified by:
        `getSceneNuc` in class `RnaFileIO.NucIndexConverter`